package com.hs.admin.base;

public  enum JobStateEnum {
        NONE(0),
        NORMAL(1),
        PAUSED(2),
        COMPLETE(3),
        ERROR(4),
        BLOCKED(5);


        JobStateEnum(Integer code) {
                this.code = code;
        }

        private Integer code;

        public Integer getCode() {
                return code;
        }

        public void setCode(Integer code) {
                this.code = code;
        }

        public static void main(String[] args) {
                System.out.println(JobStateEnum.NORMAL.getCode());
        }
}